## r-cran-latte 0.2.1

=== DESCRIPTION ===
Package: latte
Type: Package
Title: Interface to 'LattE' and '4ti2'
Version: 0.2.1
Authors@R: c(person("David", "Kahle", email = "david@kahle.io", role = c("aut", "cph", "cre"), comment = c(ORCID = "0000-0002-9999-1558")),
	person("Luis", "Garcia",email = "lgarcia@shsu.edu", role = c("aut", "cph")),
	person("Ruriko", "Yoshida", email = "ryoshida@nps.edu", role = c("aut", "cph")))
Maintainer: David Kahle <david@kahle.io>
Description: Back-end connections to 'LattE' (<https://www.math.ucdavis.edu/~latte>) 
	for counting lattice points and integration inside convex polytopes and 
	'4ti2' (<http://www.4ti2.de/>) for algebraic, geometric, and combinatorial 
	problems on linear spaces and front-end tools facilitating their use in the 
	'R' ecosystem.
License: GPL-2
URL: https://github.com/dkahle/latte
BugReports: https://github.com/dkahle/latte/issues
LazyData: TRUE
SystemRequirements: LattE <https://www.math.ucdavis.edu/~latte/>, 4ti2
        <http://www.4ti2.de/>
Imports: magrittr, stringr, mpoly, ggplot2, memoise, dplyr, usethis,
        glue
Suggests: knitr, rmarkdown
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-03-22 00:34:52 UTC; david_kahle
Author: David Kahle [aut, cph, cre] (<https://orcid.org/0000-0002-9999-1558>),
  Luis Garcia [aut, cph],
  Ruriko Yoshida [aut, cph]
Repository: CRAN
Date/Publication: 2019-03-25 10:50:03 UTC

=== debian/changelog ===
r-cran-latte (0.2.1-2) unstable; urgency=medium

  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 12 Feb 2024 14:42:19 -0500

r-cran-latte (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1062816).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 03 Feb 2024 19:56:45 -0500

=== debian/control ===
Source: r-cran-latte
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-latte
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-latte.git
Homepage: https://dkahle.github.io/latte/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-ggplot2,
               r-cran-glue,
               r-cran-magrittr,
               r-cran-memoise,
               r-cran-mpoly,
               r-cran-stringr,
               r-cran-usethis
Testsuite: autopkgtest-pkg-r

Package: r-cran-latte
Architecture: all
Depends: 4ti2, latte-int, ${R:Depends}, ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R interface to 'LattE' and '4ti2'
 Back-end connections to 'LattE' (<https://www.math.ucdavis.edu/~latte>)
 for counting lattice points and integration inside convex polytopes and
 '4ti2' (<http://www.4ti2.de/>) for algebraic, geometric, and combinatorial
 problems on linear spaces and front-end tools facilitating their use in the
 'R' ecosystem.

=== debian/tests/control ===
Test-Command: R -e "testthat::test_dir('debian/tests')"
Depends: r-cran-testthat, @
Features: test-name=examples

## r-cran-latte 0.2.2

=== DESCRIPTION ===
Package: latte
Type: Package
Title: Interface to 'LattE' and '4ti2'
Version: 0.2.2
Authors@R: c(person("David", "Kahle", email = "david@kahle.io", role = c("aut", "cph", "cre"), comment = c(ORCID = "0000-0002-9999-1558")),
	person("Luis", "Garcia",email = "lgarcia@shsu.edu", role = c("aut", "cph")),
	person("Ruriko", "Yoshida", email = "ryoshida@nps.edu", role = c("aut", "cph")))
Maintainer: David Kahle <david@kahle.io>
Description: Back-end connections to 'LattE' (<https://www.math.ucdavis.edu/~latte/>) 
	for counting lattice points and integration inside convex polytopes and 
	'4ti2' (<http://www.4ti2.de/>) for algebraic, geometric, and combinatorial 
	problems on linear spaces and front-end tools facilitating their use in the 
	'R' ecosystem.
License: GPL-2
URL: https://github.com/dkahle/latte
BugReports: https://github.com/dkahle/latte/issues
SystemRequirements: LattE <https://www.math.ucdavis.edu/~latte/>, 4ti2
        <http://www.4ti2.de/>
Imports: magrittr, stringr, mpoly, ggplot2, memoise, dplyr, usethis,
        glue
Suggests: knitr, rmarkdown
RoxygenNote: 7.3.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2025-06-09 05:07:18 UTC; david_kahle
Author: David Kahle [aut, cph, cre] (ORCID:
    <https://orcid.org/0000-0002-9999-1558>),
  Luis Garcia [aut, cph],
  Ruriko Yoshida [aut, cph]
Repository: CRAN
Date/Publication: 2025-06-09 05:20:02 UTC

=== debian/changelog ===
r-cran-latte (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Update my copyright years.
  * debian/patches
    - Refresh for new upstream release.
    - Remove mpolylist.patch; applied upptream.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 23 Aug 2025 10:55:38 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-latte
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-latte.git
 Homepage: https://dkahle.github.io/latte/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/latte_([-\d.]*)\.tar\.gz
